Dim oIniFile
Dim sIniFolder

On Error Resume Next
sIniFolder = Left(SDB.Database.Path, InStrRev(SDB.Database.Path, "\")) _
        & "Scripts\"
If SDB.Tools.FileSystem.FileExists(sIniFolder & "RestorePlayHistory.vbs") Then
    Set oIniFile = SDB.Tools.IniFileByPath(sIniFolder & "Scripts.ini")
Else
    Set oIniFile = SDB.Tools.IniFileByPath(SDB.ApplicationPath _
            & "Scripts\Scripts.ini")
End If
If Not oIniFile Is Nothing Then
    oIniFile.DeleteSection("RestorePlayHistory")
    SDB.RefreshScriptItems
End If

If SDB.IniFile Is Nothing Then
ElseIf SDB.MessageBox("Do you want to remove " _
        & "Restore/Synchronize Database add-on settings as well?" _
        & vbNewLine  & vbNewLine & "If you click No, " _
        & "the add-on settings will be left in MediaMonkey.ini.", _
        mtConfirmation, Array(mbYes, mbNo)) = mrYes Then

    SDB.IniFile.DeleteSection("RestorePlayHistory")
End If
On Error GoTo 0
